Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 1335)
@@ -1,303 +1,303 @@
-package org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers;
-
-import java.awt.BasicStroke;
-import java.awt.Color;
-import java.awt.Font;
-import java.awt.Graphics2D;
-import java.awt.Paint;
-import java.awt.Shape;
-import java.awt.geom.AffineTransform;
-import java.awt.geom.Area;
-import java.awt.geom.Rectangle2D;
-import java.awt.geom.RoundRectangle2D;
-import java.text.DecimalFormat;
-import java.util.ArrayList;
-
-import org.jfree.chart.JFreeChart;
-import org.jfree.chart.labels.XYItemLabelGenerator;
-import org.jfree.chart.labels.XYToolTipGenerator;
-import org.jfree.chart.title.LegendTitle;
-import org.jfree.data.xy.XYDataset;
-import org.txm.ca.core.chartsengine.jfreechart.datasets.CAXYDataset;
-import org.txm.ca.core.functions.CA;
-import org.txm.ca.core.messages.CACoreMessages;
-import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
-import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.core.themes.base.BlockRoundBorder;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionXYLineAndShapeRenderer;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-
-/**
- * Renderer providing item selection system and drawing features for selected item and custom rendering for CA charts.
- * @author sjacquot
- *
- */
-public class CAItemSelectionRenderer extends ItemSelectionXYLineAndShapeRenderer {
-
-	
-
-	/**
-	 * Creates a renderer dedicated to CA charts.
-	 */
-	public CAItemSelectionRenderer(CA ca, JFreeChart chart) {
-		super(ca, chart);
-	}
-
-
-	@Override
-	public void init()	{
-    	this.setBaseLinesVisible(false);
-    	this.setBaseOutlinePaint(Color.decode("#666666"));
-
-		
-      	// Items colors (Highcharts color codes)
-        Color blue = new Color(47, 126, 216, 90);
-        this.setSeriesPaint(0, blue);
-        Color red = new Color(255, 0, 0, 90);
-        this.setSeriesPaint(1, red);
-
-        // Create the fonts
-        ((JFCChartsEngine) this.multipleItemsSelector.getResult().getChartsEngine()).getJFCTheme().createFonts(this.multipleItemsSelector.getResult());
-        
-		// Legends
-		ArrayList<Color> palette = new ArrayList<Color>(2);
-		palette.add(blue);
-		palette.add(red);
-		LegendTitle legendTitle = chart.getLegend(0);
-		if (legendTitle != null) {
-			legendTitle.setFrame(new BlockRoundBorder(Color.GRAY));
-			((JFCChartsEngine) this.multipleItemsSelector.getResult().getChartsEngine()).getJFCTheme().applyLegendDefaultSettings(legendTitle, false, false, palette);
-		}
-        
-    	// Grid
-		chart.getXYPlot().setDomainGridlineStroke(new BasicStroke(0.5f, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND, 1f, new float[] {2f}, 0f)); // Dashed
-		chart.getXYPlot().setRangeGridlineStroke(chart.getXYPlot().getDomainGridlineStroke());
-		chart.getXYPlot().setDomainZeroBaselineVisible(true);
-		chart.getXYPlot().setRangeZeroBaselineVisible(true);
-    	
-    	// Axis
-		chart.getXYPlot().getRangeAxis().setAxisLineVisible(true);
-		chart.getXYPlot().getRangeAxis().setTickMarksVisible(true);
-		chart.getXYPlot().getDomainAxis().setVerticalTickLabels(false);
-		chart.getXYPlot().getDomainAxis().setAxisLineVisible(true);
-
-	}
-	
-	@Override
-	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		// Rows
-		this.setSeriesToolTipGenerator(0, new XYToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(XYDataset dataset, int series, int item) {
-
-				try {
-					// Coordinates format
-					String pattern = new String("#.##");
-					DecimalFormat format = new DecimalFormat(pattern);
-
-					// Hexadecimal color
-					Color color = (Color) getSeriesPaint(series);
-					String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
-
-					CAXYDataset caDataset = (CAXYDataset) dataset;
-					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p style=\"color: " + hex + "\"><b>" + caDataset.getLabel(series, item) + "</b></p><p>"
-							+ CACoreMessages.charts_factorialMap_tooltipRowsLabel + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
-					+ "<p>" +  CACoreMessages.charts_factorialMap_tooltipCoordinates + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
-				}
-				catch (Exception e) {
-				}
-				return "";
-			}
-		});
-
-		// Columns
-		this.setSeriesToolTipGenerator(1, new XYToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(XYDataset dataset, int series, int item) {
-
-				try {
-					// Coordinates format
-					String pattern = new String("#.##");
-					DecimalFormat format = new DecimalFormat(pattern);
-
-					// Hexadecimal color
-					Color color = (Color) getSeriesPaint(series);
-					String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
-
-					CAXYDataset caDataset = (CAXYDataset) dataset;
-					// FIXME: to disable tool tip we can return null here or in other renderers generateToolTip methods
-//				return null;
-					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p style=\"color: " + hex + "\"><b>" + caDataset.getLabel(series, item) + "</b></p><p>"
-						+ CACoreMessages.charts_factorialMap_tooltipColsLabel + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
-					+ "<p>" + CACoreMessages.charts_factorialMap_tooltipCoordinates + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
-				}
-				catch (Exception e) {
-				}
-				return "";
-			}
-		});
-
-	}
-
-
-	@Override
-	public void initItemLabelGenerator()	{
-		XYItemLabelGenerator generator = new XYItemLabelGenerator() {
-
-			@Override
-			public String generateLabel(XYDataset dataset, int series, int item) {
-				CAXYDataset caDataset = (CAXYDataset) dataset;
-				return caDataset.getLabel(series, item);
-			}
-		};
-
-		this.setBaseItemLabelGenerator(generator);
-		this.setBaseItemLabelsVisible(true);
-	}
-
-	@Override
-	public Font getItemLabelFont(int series, int item) {
-
-		// regular
-		Font font = super.getItemLabelFont(series, item);
-		font = font.deriveFont(Font.PLAIN, font.getSize());
-
-		// Change item label font size and style
-		if(this.multipleItemsSelector.isMouseOverItem(series, item) || this.multipleItemsSelector.isSelectedItem(series, item)) {
-			font = font.deriveFont(Font.BOLD, font.getSize() * 1.2f);
-		}
-		return font;
-	}
-
-
-	@Override
-	public Shape getItemShape(int series, int item) {
-
-		Shape s;
-
-//		String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
-//		Font font = this.getItemLabelFont(series, item);
-//		Rectangle2D bounds = font.getStringBounds(label, ((Graphics2D) this.multipleItemsSelector.getChartPanel().getGraphics()).getFontRenderContext());
-		
-		
-		// visible shapes mode
-		if(((CA) this.multipleItemsSelector.getResult()).isShowPointShapes())	{
-
-			// Scale selected item shape
-			s = super.getItemShape(series, item);
-			
-			// Highlight selected item
-			if(this.multipleItemsSelector.isMouseOverItem(series, item) || this.multipleItemsSelector.isSelectedItem(series, item)) {
-
-				// Add a background rectangle to the label selected item
-				String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
-				Font font = this.getItemLabelFont(series, item);
-				Rectangle2D bounds = font.getStringBounds(label, ((Graphics2D) this.multipleItemsSelector.getChartPanel().getGraphics()).getFontRenderContext());
-
-				// FIXME : not rounded rectangle version
-//				Shape labelBackground = new Rectangle2D.Double(-bounds.getWidth() / 2, -s.getBounds2D().getHeight() / 2 + 1, bounds.getWidth() + 4, bounds.getHeight() / 2 + 8);
-
-				Shape labelBackground = new RoundRectangle2D.Double(-(bounds.getWidth() + 4) / 2, -s.getBounds2D().getHeight() / 2 + 1, bounds.getWidth() + 8, bounds.getHeight() / 2 + 10, 5, 5);
-
-				AffineTransform t = new AffineTransform();
-				t.setToTranslation(0,  bounds.getCenterY() - 2 - bounds.getHeight() / 2);
-				labelBackground = t.createTransformedShape(labelBackground);
-				
-				Area a = new Area(s);
-				a.add(new Area(labelBackground));
-
-				// FIXME : test de tooltip text à la main
-//				Shape tooltip = new Rectangle2D.Double(10, 10, 50, 50);
-//				GlyphVector text =  this.getBaseItemLabelFont().createGlyphVector(((Graphics2D) this.multipleItemsSelector.getChartPanel().getGraphics()).getFontRenderContext(), "testteezrezrzerzerzerzerze");
-////				t.setToTranslation(-100,  -200);
-//				Shape textShape = t.createTransformedShape(text.getOutline());
-//				a.add(new Area(tooltip));
-//				a.add(new Area(textShape));
-				
-				return a;
-			}
-
-		}
-		// non visible shapes mode, sets the shape as bounding box of the item label (essentially for the mouse selection purpose)
-		else	{
-//			String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
-//			Font font = this.getItemLabelFont(series, item);
-//			Rectangle2D bounds = font.
-//					getStringBounds(label
-//							, ((Graphics2D) this.multipleItemsSelector.
-//									getChartPanel().
-//									getGraphics()).
-//							getFontRenderContext());
-			
-			
-			String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
-			Font font = this.getItemLabelFont(series, item);
-			Rectangle2D bounds = font.getStringBounds(label, ((Graphics2D) this.multipleItemsSelector
-					.getChartPanel()
-					.getGraphics())
-					.getFontRenderContext());
-
-			
-			s = new RoundRectangle2D.Double(-(bounds.getWidth()) / 2, -bounds.getHeight() / 2, bounds.getWidth(), bounds.getHeight() - 2 , 5, 5);
-			
-			// Highlight selected item
-			if(this.multipleItemsSelector.isMouseOverItem(series, item) || this.multipleItemsSelector.isSelectedItem(series, item)) {
-				AffineTransform t = new AffineTransform();
-				t.setToScale(1.1f, 1.1f);
-				s = t.createTransformedShape(s);
-			}
-
-		}
-
-		return s;
-	}
-
-
-	@Override
-	public Paint getItemPaint(int series, int item) {
-
-		Color color = null;
-		
-		if(((CA) this.multipleItemsSelector.getResult()).isShowPointShapes())	{
-			color = (Color) super.getItemPaint(series, item);
-	
-			// Mouse over shape
-			if(this.multipleItemsSelector.isMouseOverItem(series, item)) {
-				return new Color(color.getRed(), color.getGreen(), color.getBlue(), 195);
-			}
-			// Multiple item selection
-			else if(this.multipleItemsSelector.isSelectedItem(series, item))	{
-				return new Color(color.getRed(), color.getGreen(), color.getBlue(), 140);
-			}
-		}
-		else	{
-			
-			// Mouse over shape
-			if(this.multipleItemsSelector.isMouseOverItem(series, item)) {
-				color = new Color(255, 255, 255, 220);
-			}
-			// Multiple item selection
-			else if(this.multipleItemsSelector.isSelectedItem(series, item))	{
-				return new Color(255, 255, 255, 140);
-			}
-			else	{
-				color = new Color(0, 0, 0, 0);	
-			}
-			
-		}
-		return color;
-	}
-
-
-	
-	@Override
-	public void updateDatasetForDrawingSelectedItemAsLast() {
-		this.multipleItemsSelector.setItemDrawnAtLast(this);
-	}
-
-
-
-}
+package org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers;
+
+import java.awt.BasicStroke;
+import java.awt.Color;
+import java.awt.Font;
+import java.awt.Graphics2D;
+import java.awt.Paint;
+import java.awt.Shape;
+import java.awt.geom.AffineTransform;
+import java.awt.geom.Area;
+import java.awt.geom.Rectangle2D;
+import java.awt.geom.RoundRectangle2D;
+import java.text.DecimalFormat;
+import java.util.ArrayList;
+
+import org.jfree.chart.JFreeChart;
+import org.jfree.chart.labels.XYItemLabelGenerator;
+import org.jfree.chart.labels.XYToolTipGenerator;
+import org.jfree.chart.title.LegendTitle;
+import org.jfree.data.xy.XYDataset;
+import org.txm.ca.core.chartsengine.jfreechart.datasets.CAXYDataset;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.core.messages.CACoreMessages;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
+import org.txm.chartsengine.jfreechart.core.themes.base.BlockRoundBorder;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionXYLineAndShapeRenderer;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
+
+/**
+ * Renderer providing item selection system and drawing features for selected item and custom rendering for CA charts.
+ * @author sjacquot
+ *
+ */
+public class CAItemSelectionRenderer extends ItemSelectionXYLineAndShapeRenderer {
+
+	
+
+	/**
+	 * Creates a renderer dedicated to CA charts.
+	 */
+	public CAItemSelectionRenderer(CA ca, JFreeChart chart) {
+		super(ca, chart);
+	}
+
+
+	@Override
+	public void init()	{
+    	this.setBaseLinesVisible(false);
+    	this.setBaseOutlinePaint(Color.decode("#666666"));
+
+		
+      	// Items colors (Highcharts color codes)
+        Color blue = new Color(47, 126, 216, 90);
+        this.setSeriesPaint(0, blue);
+        Color red = new Color(255, 0, 0, 90);
+        this.setSeriesPaint(1, red);
+
+        // Create the fonts
+        ((JFCChartsEngine) this.multipleItemsSelector.getResult().getChartsEngine()).getJFCTheme().createFonts(this.multipleItemsSelector.getResult());
+        
+		// Legends
+		ArrayList<Color> palette = new ArrayList<Color>(2);
+		palette.add(blue);
+		palette.add(red);
+		LegendTitle legendTitle = chart.getLegend(0);
+		if (legendTitle != null) {
+			legendTitle.setFrame(new BlockRoundBorder(Color.GRAY));
+			((JFCChartsEngine) this.multipleItemsSelector.getResult().getChartsEngine()).getJFCTheme().applyLegendDefaultSettings(legendTitle, false, false, palette);
+		}
+        
+    	// Grid
+		chart.getXYPlot().setDomainGridlineStroke(new BasicStroke(0.5f, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND, 1f, new float[] {2f}, 0f)); // Dashed
+		chart.getXYPlot().setRangeGridlineStroke(chart.getXYPlot().getDomainGridlineStroke());
+		chart.getXYPlot().setDomainZeroBaselineVisible(true);
+		chart.getXYPlot().setRangeZeroBaselineVisible(true);
+    	
+    	// Axis
+		chart.getXYPlot().getRangeAxis().setAxisLineVisible(true);
+		chart.getXYPlot().getRangeAxis().setTickMarksVisible(true);
+		chart.getXYPlot().getDomainAxis().setVerticalTickLabels(false);
+		chart.getXYPlot().getDomainAxis().setAxisLineVisible(true);
+
+	}
+	
+	@Override
+	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
+		// Rows
+		this.setSeriesToolTipGenerator(0, new XYToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(XYDataset dataset, int series, int item) {
+
+				try {
+					// Coordinates format
+					String pattern = new String("#.##");
+					DecimalFormat format = new DecimalFormat(pattern);
+
+					// Hexadecimal color
+					Color color = (Color) getSeriesPaint(series);
+					String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+
+					CAXYDataset caDataset = (CAXYDataset) dataset;
+					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p style=\"color: " + hex + "\"><b>" + caDataset.getLabel(series, item) + "</b></p><p>"
+							+ CACoreMessages.frequency + ChartsEngineCoreMessages.EMPTY + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
+					+ "<p>" +  CACoreMessages.coordinates + ChartsEngineCoreMessages.EMPTY + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
+				}
+				catch (Exception e) {
+				}
+				return "";
+			}
+		});
+
+		// Columns
+		this.setSeriesToolTipGenerator(1, new XYToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(XYDataset dataset, int series, int item) {
+
+				try {
+					// Coordinates format
+					String pattern = new String("#.##");
+					DecimalFormat format = new DecimalFormat(pattern);
+
+					// Hexadecimal color
+					Color color = (Color) getSeriesPaint(series);
+					String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+
+					CAXYDataset caDataset = (CAXYDataset) dataset;
+					// FIXME: to disable tool tip we can return null here or in other renderers generateToolTip methods
+//				return null;
+					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p style=\"color: " + hex + "\"><b>" + caDataset.getLabel(series, item) + "</b></p><p>"
+						+ CACoreMessages.t + ChartsEngineCoreMessages.EMPTY + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
+					+ "<p>" + CACoreMessages.coordinates + ChartsEngineCoreMessages.EMPTY + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
+				}
+				catch (Exception e) {
+				}
+				return "";
+			}
+		});
+
+	}
+
+
+	@Override
+	public void initItemLabelGenerator()	{
+		XYItemLabelGenerator generator = new XYItemLabelGenerator() {
+
+			@Override
+			public String generateLabel(XYDataset dataset, int series, int item) {
+				CAXYDataset caDataset = (CAXYDataset) dataset;
+				return caDataset.getLabel(series, item);
+			}
+		};
+
+		this.setBaseItemLabelGenerator(generator);
+		this.setBaseItemLabelsVisible(true);
+	}
+
+	@Override
+	public Font getItemLabelFont(int series, int item) {
+
+		// regular
+		Font font = super.getItemLabelFont(series, item);
+		font = font.deriveFont(Font.PLAIN, font.getSize());
+
+		// Change item label font size and style
+		if(this.multipleItemsSelector.isMouseOverItem(series, item) || this.multipleItemsSelector.isSelectedItem(series, item)) {
+			font = font.deriveFont(Font.BOLD, font.getSize() * 1.2f);
+		}
+		return font;
+	}
+
+
+	@Override
+	public Shape getItemShape(int series, int item) {
+
+		Shape s;
+
+//		String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
+//		Font font = this.getItemLabelFont(series, item);
+//		Rectangle2D bounds = font.getStringBounds(label, ((Graphics2D) this.multipleItemsSelector.getChartPanel().getGraphics()).getFontRenderContext());
+		
+		
+		// visible shapes mode
+		if(((CA) this.multipleItemsSelector.getResult()).isShowPointShapes())	{
+
+			// Scale selected item shape
+			s = super.getItemShape(series, item);
+			
+			// Highlight selected item
+			if(this.multipleItemsSelector.isMouseOverItem(series, item) || this.multipleItemsSelector.isSelectedItem(series, item)) {
+
+				// Add a background rectangle to the label selected item
+				String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
+				Font font = this.getItemLabelFont(series, item);
+				Rectangle2D bounds = font.getStringBounds(label, ((Graphics2D) this.multipleItemsSelector.getChartPanel().getGraphics()).getFontRenderContext());
+
+				// FIXME : not rounded rectangle version
+//				Shape labelBackground = new Rectangle2D.Double(-bounds.getWidth() / 2, -s.getBounds2D().getHeight() / 2 + 1, bounds.getWidth() + 4, bounds.getHeight() / 2 + 8);
+
+				Shape labelBackground = new RoundRectangle2D.Double(-(bounds.getWidth() + 4) / 2, -s.getBounds2D().getHeight() / 2 + 1, bounds.getWidth() + 8, bounds.getHeight() / 2 + 10, 5, 5);
+
+				AffineTransform t = new AffineTransform();
+				t.setToTranslation(0,  bounds.getCenterY() - 2 - bounds.getHeight() / 2);
+				labelBackground = t.createTransformedShape(labelBackground);
+				
+				Area a = new Area(s);
+				a.add(new Area(labelBackground));
+
+				// FIXME : test de tooltip text à la main
+//				Shape tooltip = new Rectangle2D.Double(10, 10, 50, 50);
+//				GlyphVector text =  this.getBaseItemLabelFont().createGlyphVector(((Graphics2D) this.multipleItemsSelector.getChartPanel().getGraphics()).getFontRenderContext(), "testteezrezrzerzerzerzerze");
+////				t.setToTranslation(-100,  -200);
+//				Shape textShape = t.createTransformedShape(text.getOutline());
+//				a.add(new Area(tooltip));
+//				a.add(new Area(textShape));
+				
+				return a;
+			}
+
+		}
+		// non visible shapes mode, sets the shape as bounding box of the item label (essentially for the mouse selection purpose)
+		else	{
+//			String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
+//			Font font = this.getItemLabelFont(series, item);
+//			Rectangle2D bounds = font.
+//					getStringBounds(label
+//							, ((Graphics2D) this.multipleItemsSelector.
+//									getChartPanel().
+//									getGraphics()).
+//							getFontRenderContext());
+			
+			
+			String label = ((CAXYDataset) this.getPlot().getDataset()).getLabel(series, item);
+			Font font = this.getItemLabelFont(series, item);
+			Rectangle2D bounds = font.getStringBounds(label, ((Graphics2D) this.multipleItemsSelector
+					.getChartPanel()
+					.getGraphics())
+					.getFontRenderContext());
+
+			
+			s = new RoundRectangle2D.Double(-(bounds.getWidth()) / 2, -bounds.getHeight() / 2, bounds.getWidth(), bounds.getHeight() - 2 , 5, 5);
+			
+			// Highlight selected item
+			if(this.multipleItemsSelector.isMouseOverItem(series, item) || this.multipleItemsSelector.isSelectedItem(series, item)) {
+				AffineTransform t = new AffineTransform();
+				t.setToScale(1.1f, 1.1f);
+				s = t.createTransformedShape(s);
+			}
+
+		}
+
+		return s;
+	}
+
+
+	@Override
+	public Paint getItemPaint(int series, int item) {
+
+		Color color = null;
+		
+		if(((CA) this.multipleItemsSelector.getResult()).isShowPointShapes())	{
+			color = (Color) super.getItemPaint(series, item);
+	
+			// Mouse over shape
+			if(this.multipleItemsSelector.isMouseOverItem(series, item)) {
+				return new Color(color.getRed(), color.getGreen(), color.getBlue(), 195);
+			}
+			// Multiple item selection
+			else if(this.multipleItemsSelector.isSelectedItem(series, item))	{
+				return new Color(color.getRed(), color.getGreen(), color.getBlue(), 140);
+			}
+		}
+		else	{
+			
+			// Mouse over shape
+			if(this.multipleItemsSelector.isMouseOverItem(series, item)) {
+				color = new Color(255, 255, 255, 220);
+			}
+			// Multiple item selection
+			else if(this.multipleItemsSelector.isSelectedItem(series, item))	{
+				return new Color(255, 255, 255, 140);
+			}
+			else	{
+				color = new Color(0, 0, 0, 0);	
+			}
+			
+		}
+		return color;
+	}
+
+
+	
+	@Override
+	public void updateDatasetForDrawingSelectedItemAsLast() {
+		this.multipleItemsSelector.setItemDrawnAtLast(this);
+	}
+
+
+
+}
\ No newline at end of file
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java	(revision 1335)
@@ -1,77 +1,77 @@
-package org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers;
-
-import java.awt.Color;
-import java.text.DecimalFormat;
-import java.util.List;
-
-import org.jfree.chart.labels.CategoryToolTipGenerator;
-import org.jfree.data.category.CategoryDataset;
-import org.jfree.data.category.DefaultCategoryDataset;
-import org.txm.ca.core.functions.CA;
-import org.txm.ca.core.messages.CACoreMessages;
-import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionCategoryBarRenderer;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-
-
-/**
- * Renderer providing item selection system and drawing features for selected item and custom rendering for CA singular values bar charts.
- * @author sjacquot
- *
- */
-public class CASingularValuesItemSelectionRenderer extends ItemSelectionCategoryBarRenderer {
-
-
-	/**
-	 * Percent values number format.
-	 */
-	protected DecimalFormat percentValuesNumberFormat;
-
-
-	/**
-	 * Creates a renderer dedicated to CA charts.
-	 */
-	public CASingularValuesItemSelectionRenderer(CA ca) {
-		super();
-		this.mouseOverItemSelector.setResult(ca);
-		this.percentValuesNumberFormat = new DecimalFormat("#.00");
-	}
-
-
-
-	@Override
-	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(CategoryDataset dataset, int row, int column) {
-
-				// Hexadecimal color
-				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
-
-				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
-				Number value = catDataset.getValue(row, column);
-
-
-				CA ca = (CA) getItemsSelector().getResult();
-				List<List<Object>> singularValuesData = ca.getSingularValuesInfos();
-
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>#" + catDataset.getColumnKey(column) + "</p>"
-						+ "<p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.charts_labelValueSeparator
-							+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p>"
-						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.charts_singularValues_tooltipPercent + ChartsEngineCoreMessages.charts_labelValueSeparator
-							+ " </span><b>" + percentValuesNumberFormat.format(singularValuesData.get(column).get(2)) + "</b></p>"
-						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.charts_singularValues_tooltipSum + CACoreMessages.charts_singularValues_tooltipPercent
-							+ ChartsEngineCoreMessages.charts_labelValueSeparator
-							+ " </span><b>" + percentValuesNumberFormat.format(singularValuesData.get(column).get(3)) + "</b></p>"
-						+ "</body><html>";
-			}
-		});
-	}
-
-
-
-}
+package org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers;
+
+import java.awt.Color;
+import java.text.DecimalFormat;
+import java.util.List;
+
+import org.jfree.chart.labels.CategoryToolTipGenerator;
+import org.jfree.data.category.CategoryDataset;
+import org.jfree.data.category.DefaultCategoryDataset;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.core.messages.CACoreMessages;
+import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionCategoryBarRenderer;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
+
+
+/**
+ * Renderer providing item selection system and drawing features for selected item and custom rendering for CA singular values bar charts.
+ * @author sjacquot
+ *
+ */
+public class CASingularValuesItemSelectionRenderer extends ItemSelectionCategoryBarRenderer {
+
+
+	/**
+	 * Percent values number format.
+	 */
+	protected DecimalFormat percentValuesNumberFormat;
+
+
+	/**
+	 * Creates a renderer dedicated to CA charts.
+	 */
+	public CASingularValuesItemSelectionRenderer(CA ca) {
+		super();
+		this.mouseOverItemSelector.setResult(ca);
+		this.percentValuesNumberFormat = new DecimalFormat("#.00");
+	}
+
+
+
+	@Override
+	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
+		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(CategoryDataset dataset, int row, int column) {
+
+				// Hexadecimal color
+				Color color = (Color) getSeriesPaint(row);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+
+				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
+				Number value = catDataset.getValue(row, column);
+
+
+				CA ca = (CA) getItemsSelector().getResult();
+				List<List<Object>> singularValuesData = ca.getSingularValuesInfos();
+
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>#" + catDataset.getColumnKey(column) + "</p>"
+						+ "<p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.EMPTY
+							+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p>"
+						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.percent + ChartsEngineCoreMessages.EMPTY
+							+ " </span><b>" + percentValuesNumberFormat.format(singularValuesData.get(column).get(2)) + "</b></p>"
+						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.charts_singularValues_tooltipSum + CACoreMessages.percent
+							+ ChartsEngineCoreMessages.EMPTY
+							+ " </span><b>" + percentValuesNumberFormat.format(singularValuesData.get(column).get(3)) + "</b></p>"
+						+ "</body><html>";
+			}
+		});
+	}
+
+
+
+}
\ No newline at end of file
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/preferences/PropertiesPreferencePage.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/preferences/PropertiesPreferencePage.java	(revision 1334)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/preferences/PropertiesPreferencePage.java	(revision 1335)
@@ -57,8 +57,8 @@
 	public void createFieldEditors() {
 		
 		// The maximum number of word property values to display
-		IntegerFieldEditor maxValue = new IntegerFieldEditor(PropertiesPreferences.MAX_PROPERTIES_TO_DISPLAY, PropertiesUIMessages.Max_Value_To_Display, this.getFieldEditorParent());
+		IntegerFieldEditor maxValue = new IntegerFieldEditor(PropertiesPreferences.MAX_PROPERTIES_TO_DISPLAY, PropertiesUIMessages.maximumValuesToDisplay, this.getFieldEditorParent());
 		maxValue.setValidRange(1, 9999);
 		this.addField(maxValue);
 	}
-}
+}
\ No newline at end of file
